library SineSynth;

{$include RELEASE_SETTINGS.INC}
{$include DAV_Compiler.inc}
{$include VSTPLUGIN_SWITCHES.INC}

uses
  {$IFDEF FPC}
  Interfaces,
  {$ELSE}
  Windows,
  {$ENDIF}
  Forms,
  DAV_Types, DAV_VSTEffect, DAV_VSTBasicModule, DAV_VSTModule,
  SineSynthModule in 'SineSynthModule.pas' {VSTSSModule: TVSTModule},
  SineSynthGUI in 'SineSynthGUI.pas' {VSTGUI},
  SineSynthVoice in 'SineSynthVoice.pas',
  VoiceList in 'VoiceList.pas';


function main( AudioMaster: TAudioMasterCallbackFunc): PVSTEffect; cdecl; export;
var
  VSTSSModule : TVSTSSModule;
begin
  try
    VSTSSModule              := TVSTSSModule.Create( Application);
    VSTSSModule.Effect^.user := VSTSSModule;
    VSTSSModule.AudioMaster  := AudioMaster;
    Result                   := VSTSSModule.Effect;
  except
    Result:= nil;
  end;
end;


exports
  Main name 'main',
  Main name 'VSTPluginMain';


begin
  {$IFDEF FPC}Application.Initialize;{$ENDIF}
end.

